View Issue Details

IDProjectCategoryView StatusLast Update
0000102Bacula-Webbug-pgsqlpublic2013-11-19 15:05
ReporterleolageAssigned Todavide 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentosOS Version6.4 64bits
Product Version5.2.13-1 
Target Version6.0.0Fixed in Version6.0.0 
Summary0000102: error on get information from remote postgresql server
DescriptionI configure a multiple catalogs, all are fine. But when I put a new remote catalog, have error and not show graphicals

info about jobs is show, not complete:

Running jobs 0
Completed job(s) 2
Waiting job(s) 0
Failed job(s) 1
Canceled job(s) 0
Job Level (Incr / Diff / Full) / /
Transferred Bytes / Files /
Additional InformationNotice: Undefined variable: output in /var/www/html/bacula-web/core/app/cerrorhandler.class.php on line 45
Exception trace
File: /var/www/html/bacula-web/core/db/cdbutils.class.php on line 79 in function PDOStatement->execute
File: /var/www/html/bacula-web/application/models/database.model.php on line 51 in function CDBUtils::runQuery
File: /var/www/html/bacula-web/index.php on line 42 in function Database_Model::get_Size
Database error
File /var/www/html/bacula-web/core/db/cdbutils.class.php
Line 79
Exception code 3D000
Exception message SQLSTATE[3D000]: Invalid catalog name: 7 ERROR: database "bacula" does not exist
Have you try to run the test page ?
Check the online documentation on Bacula-Web project site
Rebort a bug or suggest a new feature in the Bacula-Web\'s bugtracking tool
TagsNo tags attached.

Activities

leolage

2013-05-18 02:24

reporter  

webacula.png (104,069 bytes)
webacula.png (104,069 bytes)

davide

2013-05-19 12:15

manager   ~0000253

Hi,

Which version of postgreSQL are you using ?

Could you add your config.php file ?

Thanks

leolage

2013-05-20 16:10

reporter   ~0000254

Hi, thanks for return.

I use postgre version 8.4

This my bacula-web run in different server of bacula-director, the postgre is remote from bacula-web, and database not have name bacula, have another name.. this is a reason?

I have another external server without problems, probably have create bacula database on this servers, but I dont use bacula database, have bacula_anothernames

Thanks

davide

2013-05-21 11:24

manager   ~0000255

Hi,

I suspect that you're not using the right database name (see the error message in the exception below)

Exception message SQLSTATE[3D000]: Invalid catalog name: 7 ERROR: database "bacula" does not exist

Please make sure that the database name correspond to your remote postgres database name.

Regards

leolage

2013-05-21 16:06

reporter   ~0000256

Hi,

The bacula database name isn't bacula, I set correctly bacula_name but bacula-web search for a bacula database.

I create a empty bacula database and errors goes, now work normally.

Probably system find default bacula database, but only need to be created to not have a error of I detail here.

Thanks

davide

2013-05-22 11:29

manager   ~0000257

Hi,

It shouldn't behave like this, even if you don't use default database name for your catalog.
I suspect something wrong in your config.php file.

Could add your config.php (original) to this bug report please ?

Regards

leolage

2013-05-22 17:03

reporter   ~0000258

Hi, folow the lines:


 $config[10]['label'] = 'Bacula Nac - EUA';
 $config[10]['host'] = 'xxxxxxxx';
 $config[10]['login'] = 'bacula';
 $config[10]['password'] = 'xxxxx';
 $config[10]['db_name'] = 'bacula_nac';
 $config[10]['db_type'] = 'pgsql';
 $config[10]['db_port'] = '5432';

 $config[11]['label'] = 'Bacula OAI';
 $config[11]['host'] = 'xxxxxxxxx';
 $config[11]['login'] = 'bacula';
 $config[11]['password'] = 'xxxxxxxx';
 $config[11]['db_name'] = 'bacula_oai';
 $config[11]['db_type'] = 'pgsql';
 $config[11]['db_port'] = '5432';




database is correct, but on this servers have a fresh postgresql, never created 'bacula' database, only bacula_oai and bacula_nac (2 differnet postgresql servers), when I create a empty bacula database the error is fixed.

Probaby a part of code of webacula search for "bacula" database on postgresql server, without configure bacula database named.

Thanks

davide

2013-05-23 17:23

manager   ~0000259

Hi,

I've found that the bug come from the getSize() function in application/models/database.model.php with postgresql.

It will be fixed in next released.

leolage

2013-05-23 18:11

reporter   ~0000260

thank you!

davide

2013-10-14 10:22

manager   ~0000272

Bug fix will be included in the next release

Regards

davide

2013-11-19 15:05

manager   ~0000301

Issue closed

Issue History

Date Modified Username Field Change
2013-05-18 02:24 leolage New Issue
2013-05-18 02:24 leolage File Added: webacula.png
2013-05-19 12:13 davide Product Version => 5.2.13-1
2013-05-19 12:13 davide Assigned To => davide
2013-05-19 12:13 davide Status new => assigned
2013-05-19 12:15 davide Note Added: 0000253
2013-05-19 12:15 davide Status assigned => feedback
2013-05-20 16:10 leolage Note Added: 0000254
2013-05-20 16:10 leolage Status feedback => assigned
2013-05-21 11:24 davide Note Added: 0000255
2013-05-21 16:06 leolage Note Added: 0000256
2013-05-22 11:29 davide Note Added: 0000257
2013-05-22 17:03 leolage Note Added: 0000258
2013-05-23 17:23 davide Note Added: 0000259
2013-05-23 18:11 leolage Note Added: 0000260
2013-10-13 22:34 davide Target Version => 6.0.0
2013-10-14 10:22 davide Note Added: 0000272
2013-10-14 10:22 davide Status assigned => resolved
2013-10-14 10:22 davide Fixed in Version => 6.0.0
2013-10-14 10:22 davide Resolution open => fixed
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000301